Subscribe a workflow to a trigger (REST hook); the signing secret is shown once
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/integration/hooks"
payload := strings.NewReader("{ \"event\": \"contact.unsubscribed\", \"url\": \"example\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/integration/hooks';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"event":"contact.unsubscribed","url":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/integration/hooks \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "event": "contact.unsubscribed", "url": "example" }'Permission: webhooks:manage
Keys: only an integration’s key can call this operation.
Creates a managed webhook. It can’t be edited by hand, answers to the integration only, and is removed when the endpoint answers 410 Gone.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
Header Parameters
Section titled “Header Parameters”The calling workflow: “
The calling workflow: “
Request Bodyrequired
Section titled “Request Bodyrequired”object
The trigger’s event
Where ReputeCast posts the events: the workflow’s webhook address
Responses
Section titled “Responses”Created
object
The signing secret. Only in the answer to the subscribe call.
Example generated
{ "createdAt": "2026-04-15T12:00:00Z", "event": "example", "id": "example", "secret": "example", "signatureHeader": "example", "timestampHeader": "example", "url": "example"}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}